%define oname   abstract

Name:       ruby-%{oname}
Version:    1.0.0
Release:    %mkrel 1
Summary:    A library which enable you to define abstract method in Ruby
License:    Ruby License
Group:      Development/Ruby
URL:        http://rubyforge.org/projects/abstract
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
'abstract.rb' is a library which enable you to define abstract method in
Ruby.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
ruby -I"lib" test/test.rb

%clean
rm -rf %{buildroot}



%changelog
* Sat Feb 12 2011 shikamaru <shikamaru> 1.0.0-1.mga1
+ Revision: 51012
- imported package ruby-abstract


* Sat Feb 12 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.0.0-1
- Initial package
